Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Test Repo Full Upgrade - SOLVED

Post Reply
Message
Author
NevilsStation
Forum Regular
Forum Regular
Posts: 261
Joined: Sun Feb 26, 2017 3:09 pm

Test Repo Full Upgrade - SOLVED

#1 Post by NevilsStation » Fri Oct 12, 2018 11:42 pm

I was looking for something in the Test Repo the forgot to uncheck it in Synaptic.

I saw the green icon for an Upgrade so I started it.

What kind of mess did I just cause, please?

I think it's toward the end, asking about "xclient"

Should I interrupt the Upgrade or can it be undone without creating a mess?

Thanks!
Last edited by NevilsStation on Sat Oct 13, 2018 1:54 pm, edited 1 time in total.
Custom-built PC w/i7 CPU running MX-16.

User avatar
zorzi
Forum Regular
Forum Regular
Posts: 118
Joined: Fri Apr 20, 2018 7:41 pm

Re: Test Repo Full Upgrade

#2 Post by zorzi » Sat Oct 13, 2018 4:28 am

NevilsStation wrote:
Fri Oct 12, 2018 11:42 pm
I was looking for something in the Test Repo the forgot to uncheck it in Synaptic.

I saw the green icon for an Upgrade so I started it.

What kind of mess did I just cause, please?

I think it's toward the end, asking about "xclient"

Should I interrupt the Upgrade or can it be undone without creating a mess?

Thanks!
Hello,

Why didn't you use MX Package Installer ? Same kind of thing happened to me a few weeks ago. But it did not affect my system.

NevilsStation
Forum Regular
Forum Regular
Posts: 261
Joined: Sun Feb 26, 2017 3:09 pm

Re: Test Repo Full Upgrade

#3 Post by NevilsStation » Sat Oct 13, 2018 9:11 am

First problem has shown up ...

The printer is now generating all weird characters in some documents and
partially weird in others - in LibreOffice - it was working fine.

From FireFox it appears to be printing OK ... so far.

Anyone have a guess as to what in the Test Repo may have caused this, please?

Thanks.
Custom-built PC w/i7 CPU running MX-16.

User avatar
anticapitalista
Forum Veteran
Forum Veteran
Posts: 5737
Joined: Sat Jul 15, 2006 10:40 am

Re: Test Repo Full Upgrade

#4 Post by anticapitalista » Sat Oct 13, 2018 9:37 am

Have a look in /var/log/apt/history.log
anticapitalista
Reg. linux user #395339.

Philosophers have interpreted the world in many ways; the point is to change it.

antiX-17 "Heather Heyer" - lean and mean.
https://antixlinux.com

User avatar
j2mcgreg
Forum Regular
Forum Regular
Posts: 376
Joined: Tue Oct 23, 2007 12:04 pm

Re: Test Repo Full Upgrade

#5 Post by j2mcgreg » Sat Oct 13, 2018 9:48 am

Usually, when a printer is issuing gobbledygook it means that a wrong version of PCL and / or Ghostscript has been installed. I think that you should deselect the test repo and then re-install the driver from the standard repos.

NevilsStation
Forum Regular
Forum Regular
Posts: 261
Joined: Sun Feb 26, 2017 3:09 pm

Re: Test Repo Full Upgrade

#6 Post by NevilsStation » Sat Oct 13, 2018 1:37 pm

anticapitalista wrote:
Sat Oct 13, 2018 9:37 am
Have a look in /var/log/apt/history.log
What might I be looking for, please?

Code: Select all

Start-Date: 2018-10-03  07:25:50
Commandline: apt-get --assume-yes -V dist-upgrade
Upgrade: mx-packageinstaller:amd64 (18.9.3, 18.10)
End-Date: 2018-10-03  07:25:51

Start-Date: 2018-10-04  11:39:57
Commandline: apt-get --assume-yes -V dist-upgrade
Upgrade: firefox:amd64 (62.0.2~mozillabinaries-1mx17+1, 62.0.3~mozillabinaries-1mx17+1)
End-Date: 2018-10-04  11:40:01

Start-Date: 2018-10-09  20:49:45
Commandline: apt-get --assume-yes -V dist-upgrade
Upgrade: mx-packageinstaller-pkglist:amd64 (18.09.01, 18.10.1), git-man:amd64 (1:2.11.0-3+deb9u3, 1:2.11.0-3+deb9u4), git:amd64 (1:2.11.0-3+deb9u3, 1:2.11.0-3+deb9u4)
End-Date: 2018-10-09  20:49:48

Start-Date: 2018-10-11  08:49:44
Commandline: apt-get --assume-yes -V dist-upgrade
Upgrade: adobe-flash-properties-gtk:amd64 (1:20180911.1-1mx17+1, 1:20181009.1-1mx17+1), adobe-flashplugin:amd64 (1:20180911.1-1mx17+1, 1:20181009.1-1mx17+1)
End-Date: 2018-10-11  08:49:46

Start-Date: 2018-10-12  14:33:59
Commandline: apt-get --assume-yes -V dist-upgrade
Upgrade: libsnmp-base:amd64 (5.7.3+dfsg-1.7, 5.7.3+dfsg-1.7+deb9u1), libsnmp30:amd64 (5.7.3+dfsg-1.7, 5.7.3+dfsg-1.7+deb9u1)
End-Date: 2018-10-12  14:34:01

Start-Date: 2018-10-12  23:38:47
Commandline: apt-get --assume-yes -V dist-upgrade
Install: libx265-160:amd64 (2.8-3~mx17+1, automatic), libavformat58:amd64 (7:4.0.2-1~mx17+2, automatic), libavfilter7:amd64 (7:4.0.2-1~mx17+2, automatic), libswresample3:amd64 (7:4.0.2-1~mx17+2, automatic), libgoocanvas-2.0-9:amd64 (2.0.2-2, automatic), libexception-class-perl:amd64 (1.42-1, automatic), libimage-sane-perl:amd64 (0.14-0mx17, automatic), libgtk3-simplelist-perl:amd64 (0.15-1, automatic), libpostproc55:amd64 (7:4.0.2-1~mx17+2, automatic), libewf2:amd64 (20140608-6+b2, automatic), libgoocanvas2-perl:amd64 (0.06-0mx17, automatic), libavcodec58:amd64 (7:4.0.2-1~mx17+2, automatic), libavutil56:amd64 (7:4.0.2-1~mx17+2, automatic), libgoocanvas-2.0-common:amd64 (2.0.2-2, automatic), libavdevice58:amd64 (7:4.0.2-1~mx17+2, automatic), libdevel-stacktrace-perl:amd64 (2.0200-1, automatic), libswscale5:amd64 (7:4.0.2-1~mx17+2, automatic), libbfio1:amd64 (20160108-1, automatic), libclass-data-inheritable-perl:amd64 (0.08-2, automatic), libcairo-gobject-perl:amd64 (1.004-2+b1, automatic), libcodec2-0.4:amd64 (0.5.1-1+b2, automatic), libjsoncpp1:amd64 (1.7.4-3, automatic), libgtk3-perl:amd64 (0.030-1, automatic), libglib-object-introspection-perl:amd64 (0.042-1, automatic), libspatialaudio0:amd64 (0.3.0+git20180730+dfsg1-1~mx17+1, automatic), gir1.2-goocanvas-2.0:amd64 (2.0.2-2, automatic), libavresample4:amd64 (7:4.0.2-1~mx17+2, automatic)
Upgrade: vlc-bin:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), vlc-plugin-video-output:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), gambas3-gb-desktop-x11:amd64 (3.9.1-3, 3.9.1-3mx17+1), firmware-iwlwifi:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), firmware-realtek:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), libimage-magick-perl:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), ffmpeg:amd64 (7:3.4.2-1~mx17+1, 7:4.0.2-1~mx17+2), linux-libc-dev:amd64 (4.17-0.1~mx17+1, 4.18.10-1~mx17+1), libimage-magick-q16-perl:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), imagemagick:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), virtualbox-guest-utils:amd64 (5.2.12-dfsg-1~mx17+1, 5.2.18-dfsg-2~mx17+1), vlc-plugin-qt:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), libgegl-0.4-0:amd64 (0.4.2-0.1~mx17+1, 0.4.8-1~mx17+1), gambas3-gb-desktop:amd64 (3.9.1-3, 3.9.1-3mx17+1), gambas3-runtime:amd64 (3.9.1-3, 3.9.1-3mx17+1), flatpak:amd64 (1.0.1-1~mx17+1, 1.0.3-1~mx17+1), libebml4v5:amd64 (1.3.4-1, 1.3.6-2~mx17+1), libmagickwand-6.q16-3:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), libgegl-common:amd64 (0.4.2-0.1~mx17+1, 0.4.8-1~mx17+1), firmware-amd-graphics:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), vlc-l10n:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), virtualbox-guest-dkms:amd64 (5.2.12-dfsg-1~mx17+1, 5.2.18-dfsg-2~mx17+1), firmware-myricom:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), gimp-data:amd64 (2.10.2-1~mx17+3, 2.10.6-2~mx17+1), libvlc5:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), linux-image-4.14.0-3-amd64:amd64 (4.14.13-1~bpo9+1mx17+2, 4.14.17-1~mx17+1), firmware-atheros:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), linux-compiler-gcc-6-x86:amd64 (4.17-0.1~mx17+1, 4.18.10-1~mx17+1), nvidia-detect:amd64 (390.48-2~mx17+1, 390.77-1~mx17+1), fontconfig-config:amd64 (1:2.11.0-6.7~mx17, 1:2.13.0-5~mx17+1), firmware-libertas:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), libvlccore9:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), firmware-netxen:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), libvlc-bin:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), peg-e:amd64 (1.2.4-0.1~mx17+1, 1.2.6-1~mx17+1), gimp:amd64 (2.10.2-1~mx17+3, 2.10.6-2~mx17+1), libappstream-glib8:amd64 (0.6.8-1, 0.6.13-1~mx17+1), firmware-intelwimax:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), fontconfig:amd64 (1:2.11.0-6.7~mx17, 1:2.13.0-5~mx17+1), imagemagick-6.q16:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), linux-headers-4.14.0-3-common:amd64 (4.14.13-1~bpo9+1mx17+2, 4.14.17-1~mx17+1), firmware-linux-nonfree:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), firmware-brcm80211:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), xscreensaver-data:amd64 (5.38-0mx17+1, 5.39-0.1~mx17+1), firmware-intel-sound:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), libbabl-0.1-0:amd64 (0.1.50-0.1~mx17+1, 0.1.56-1~mx17+1), gambas3-gb-settings:amd64 (3.9.1-3, 3.9.1-3mx17+1), gambas3-gb-gui:amd64 (3.9.1-3, 3.9.1-3mx17+1), firmware-qlogic:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), vlc:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), vlc-data:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), libmatroska6v5:amd64 (1.4.5-2, 1.4.9-1~mx17+1), libwebkit2gtk-4.0-37:amd64 (2.18.6-1~deb9u1, 2.20.3-1~mx17+1), gambas3-gb-image:amd64 (3.9.1-3, 3.9.1-3mx17+1), gscan2pdf:amd64 (1.8.0-1~mx17, 2.1.4-0mx17), libssh-gcrypt-4:amd64 (0.7.3-2, 0.8.0~20170825.94fa1e38-1~bpo9+1~mx17+1), lightning:amd64 (2:52.9.1-1~mx17+1, 2:60.2.1-1~mx17+1), libfontconfig1:amd64 (1:2.11.0-6.7~mx17, 1:2.13.0-5~mx17+1), firmware-misc-nonfree:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), libmagickcore-6.q16-3:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), thunderbird:amd64 (2:52.9.1-1~mx17+1, 2:60.2.1-1~mx17+1), testdisk:amd64 (7.0-3, 7.1-0~wip+mx17), libgimp2.0:amd64 (2.10.2-1~mx17+3, 2.10.6-2~mx17+1), gir1.2-webkit2-4.0:amd64 (2.18.6-1~deb9u1, 2.20.3-1~mx17+1), gambas3-gb-qt5:amd64 (3.9.1-3, 3.9.1-3mx17+1), xscreensaver:amd64 (5.38-0mx17+1, 5.39-0.1~mx17+1), firmware-bnx2x:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), linux-headers-4.14.0-3-amd64:amd64 (4.14.13-1~bpo9+1mx17+2, 4.14.17-1~mx17+1), vlc-plugin-base:amd64 (3.0.3-1-0+deb9u1, 3.0.4-1~mx17+1), synaptic:amd64 (0.84.2, 0.84.2-1mx17+1), libjavascriptcoregtk-4.0-18:amd64 (2.18.6-1~deb9u1, 2.20.3-1~mx17+1), libheif1:amd64 (1.1.0-2~mx17+1, 1.3.2-1~mx17+1), firmware-bnx2:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), virtualbox-guest-x11:amd64 (5.2.12-dfsg-1~mx17+1, 5.2.18-dfsg-2~mx17+1), firmware-ipw2x00:amd64 (20180518-1~mx17+1, 20180825+dfsg-1~mx17+1), gir1.2-javascriptcoregtk-4.0:amd64 (2.18.6-1~deb9u1, 2.20.3-1~mx17+1), imagemagick-6-common:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), gambas3-gb-form:amd64 (3.9.1-3, 3.9.1-3mx17+1)
End-Date: 2018-10-13  08:44:46
Custom-built PC w/i7 CPU running MX-16.

NevilsStation
Forum Regular
Forum Regular
Posts: 261
Joined: Sun Feb 26, 2017 3:09 pm

Re: Test Repo Full Upgrade

#7 Post by NevilsStation » Sat Oct 13, 2018 1:53 pm

j2mcgreg wrote:
Sat Oct 13, 2018 9:48 am
Usually, when a printer is issuing gobbledygook it means that a wrong version of PCL and / or Ghostscript has been installed. I think that you should deselect the test repo and then re-install the driver from the standard repos.
That did it - thanks!
Custom-built PC w/i7 CPU running MX-16.

Post Reply

Return to “Software / Configuration”